%define	upstream_name	 HTML-Parser
%define upstream_version 3.69

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl module to parse HTML documents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Tagset) >= 3.0.0
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
BuildRequires: perl-HTML-Tagset
Requires:   perl-HTML-Tagset >= 3.30.0
%description
HTML::Parser module for Perl to parse and extract information from
HTML documents.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# compile with default options (prompt() checks for STDIN being a terminal).
# yes to not ask for automate rebuild
yes | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README TODO eg
%{perl_vendorarch}/auto/HTML
%{perl_vendorarch}/HTML
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.690.0-3.mga3
+ Revision: 368039
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 3.690.0-2.mga3
+ Revision: 283401
- Clean rebuild

* Thu Nov 03 2011 jquelin <jquelin> 3.690.0-1.mga2
+ Revision: 162217
- update to 3.69

* Sat Jun 11 2011 sander85 <sander85> 3.680.0-3.mga2
+ Revision: 103910
- perl 5.14

* Tue Jan 18 2011 blino <blino> 3.680.0-2.mga1
+ Revision: 23268
- rebuild for new perl

* Thu Jan 13 2011 jquelin <jquelin> 3.680.0-1.mga1
+ Revision: 11882
- imported package perl-HTML-Parser

